#! /usr/local/bin/python3
# -*- coding: utf-8 -*-
import sys,json,jwt,subprocess,argparse
DEFAULT_IP =        "127.0.0.1"
DEFAULT_PORT =      "8091"
DEFAULT_USER =      "user-role-edit"
DEFAULT_PW =        "admin"
DEFAULT_ROUTE =     "/apiv1/sensorData"
DEFAULT_CMD =       "GET"

parser = argparse.ArgumentParser(description='script for testing REST API routes')
parser.add_argument('-i', dest='ip', type=str, required=False, default=DEFAULT_IP, help="ip address")
parser.add_argument('-p', dest='port', type=str, required=False, default=DEFAULT_PORT, help='port')
parser.add_argument('-U', dest='User', type=str, required=False, default=DEFAULT_USER, help='username')
parser.add_argument('-P', dest='Password', type=str, required=False, default=DEFAULT_PW, help='password')
parser.add_argument('-r', dest='route', type=str, required=False, default=DEFAULT_ROUTE, help='REST route')
parser.add_argument('-X', dest='cmd', type=str, required=False, default=DEFAULT_CMD, help='HTTP command (verb) default='+DEFAULT_CMD)
parser.add_argument("-v","--verbose",required=False , action="store_true", help='increase output verbosity')
args = parser.parse_args()
try:
    if args.verbose:
        result = subprocess.check_output(["curl","-#","-v","-k","-H","Content-Type:application/json", "https://"+args.ip+":"+args.port+"/auth","-d","{\"username\":\""+args.User+"\",\"password\":\""+args.Password+"\"}"])    
    else:
        result = subprocess.check_output(["curl","-#","-k","-H","Content-Type:application/json", "https://"+args.ip+":"+args.port+"/auth","-d","{\"username\":\""+args.User+"\",\"password\":\""+args.Password+"\"}"]) 
except subprocess.CalledProcessError:
    print("error while curl request for access token")  #todo: ein wenig genauer
   
print("got data: \n"+result.rstrip().decode())
jsonBuf = json.loads(result.decode('utf-8'))
rawToken = None;
rawToken = jsonBuf['access_token']
if (rawToken != None):
        print("new token extracted: {0}\n".format(rawToken))
        try:
            if args.verbose:
                result = subprocess.check_output(["curl","-#","-v","-X",args.cmd,"-k","-H","Authorization: Bearer "+str(rawToken) ,"https://"+args.ip+":"+args.port+args.route])
            else:
                result = subprocess.check_output(["curl","-#","-X",args.cmd,"-k","-H","Authorization: Bearer "+str(rawToken) ,"https://"+args.ip+":"+args.port+args.route])
        except subprocess.CalledProcessError:    
             print("error while curl GET request")   
        print ("got data:\n{0}\n".format(result.decode('utf-8')))  