#!/bin/sh
#
# Get the NTP server address from the running ntpd
#


pid=`ps -ef | grep -w ntpd | grep -v grep | head -n 1 | awk  '{ print $1; }'  `

if [ -z "$pid" ] ; then
    echo none
    exit 0
fi

#
# 
#
args=`xargs -0 < /proc/$pid/cmdline`

print=0
space=0;
for arg in $args ; do
    case $arg in
     "-p") print=1
          ;;
     *)   
          if [ $print -eq 1 ] ; then
              if [ $space -gt 0 ] ; then
                echo -n " "
              fi
              echo -n $arg
              space=1
          fi
          print=0;
          ;;
    esac
done
echo
