#!/bin/sh
#
# WiFi modules
#

have_8723=`lsusb | grep 0bda:b720 | wc -l`
have_8192=`lsusb | grep -E "0b05:17ba|2001:330d" | wc -l`
have_8188=`lsusb | grep 7392:7811 | wc -l`

if [ $have_8723 == 0 -a $have_8192 == 0 -a $have_8188 == 0 ] ; then
    exit 0
else
    echo "unbinding usb wifi stick"
    echo "1-1" > /sys/bus/usb/drivers/usb/unbind
fi
