#!/bin/sh

#################################################################################################
#   (c) 2016 by Hella Aglaia Mobile Vision GmbH
#   Author: Andrej Wunrau
#   No usage without written permission.
#   All rights reserved.
#
#   Module: WirelessServices
#   File: btGlobalVariables.sh
#
#   Description:    
#
#       Script holds a set of variables and constants that are shared between
#       the different script of the wireless services module (bluetooth).
#
#################################################################################################


# error codes
# ERR_NO_ERROR=0
# ERR_UNSPECIFIED=1
# ERR_WRONG_CALL=2
# ERR_INVALID_PARAMETER=3
# ERR_NOTHING_TO_DO=4
# ERR_OPERATION_FAILED=5
# ERR_LICENSE_MISSING=6
# ERR_CONFIGURATION_INVALID=7

# wireless param file
GLOBAL_BLUETOOTH_SERVICES_PARAM_VALUE_FILE=/var/Counter/config/aps_bluetooth_services_params_values.xml
GLOBAL_BLUETOOTH_SERVICES_PARAM_META_FILE=/etc/Counter/ParamMetaFiles/aps_bluetooth_services_params_meta.xml

# names of scripts for the different modes
GLOBAL_MODE_TRACKING_SCRIPT_NAME="btModeTracking.sh"
