#!/bin/sh

ROOTDIR=/sys/devices/soc0/amba/e0100000.sdhci/mmc_host/mmc0

if [ -d $ROOTDIR ]; then
    cd $ROOTDIR
    SUBDIR=`ls | grep mmc0:`
    if [ x$SUBDIR != x ] && [ -d $SUBDIR ] ; then
        cd $SUBDIR
        D=`cat date`
        N=`cat name`
        #logger SD card $N from $D found
        case "$N" in
            APUSD) #apacer
                   Y=`cat date | awk -F/ " { print \\$2 } "`
                   if [ $Y -le 2016 ] ; then
                       echo -n "1"
                       exit 0
                   else
                       echo -n "2" 
                       exit 0
                   fi;;
            SA08G) #sandisk
                   echo -n "3"
                   exit 0;;
            0008G) #swissbit
                   echo -n "4"
                   exit 0;;
            *)     #all other values are "unknown"
                   echo "5"
                   exit 0;;
        esac
    else
        logger="no SD card found. potentially blocked unit"
        echo -n "0"
        exit 0
    fi
else
    logger="no SD card found. rootpath not available" 
    echo -n "0"
    exit 0
fi
