#!/bin/sh

KNOWN_HOSTS_FILE=/var/Counter/DeviceSpecific/known_hosts

source  /etc/init.d/rc1.d/_HelperFunctions/XmlParameter
NO_ID_CHECK=`GetParamValue fileupload_params NoServerIdCheck`

IGNORE_KNOWN_HOSTS=""
if [ ${NO_ID_CHECK} -eq 1 ] ; then
    ssh-keygen -R $SFTP_SERVER -f ${KNOWN_HOSTS_FILE} > /dev/null 2>&1
    IGNORE_KNOWN_HOSTS=" -oUserKnownHostsFile=/dev/null"
fi

sshpass -e sftp -oPort=$SSHPORT -oStrictHostKeyChecking=no -oBatchMode=no $IGNORE_KNOWN_HOSTS -b - $SSHUSER@$SFTP_SERVER << !
put $LOCAL_PATH $REMOTE_PATH
quit
!
