#!/bin/sh

#
# Set the rolling reboot counter value to 0 after 15 minutes.
#


# FQFN for the rolling reboot counter update script file.
UPT_RRCNT_SCRIPT=/sbin/upd_rr_cnt.sh

# The timer interval.
INTERVAL_SEC=900

DECR_RRCNT_VAL=-500


# Sleep the time.
sleep ${INTERVAL_SEC}


#
# Use the script and a high decrement value (will be clipped to 0) 
# to avoid multiple write operations on the rolling reboot log file.
#
/bin/sh ${UPT_RRCNT_SCRIPT} ${DECR_RRCNT_VAL}


exit 0
