#!/bin/sh

#
# Production calibration files (in persistent memory)
#
CALDEF_FILE_PROD_INTERN_INI="/var/Counter/DeviceSpecific/intern_640x480.ini"
CALDEF_FILE_PROD_RECTIFIED_XML="/var/Counter/DeviceSpecific/intern_relative_calib_values.xml"
CALDEF_FILE_PROD_LUT="/var/Counter/DeviceSpecific/vgalut"
CALDEF_FILE_PROD_MD5SUMS="/var/Counter/DeviceSpecific/md5sums.txt"

#
# Current calibration file (in persistent memory)
#
CALDEF_FILE_CUR_INTERN_INI="/var/Counter/DeviceSpecific/intern_640x480.ini.cur"
CALDEF_FILE_CUR_INTERN_INI_MD5="/var/Counter/DeviceSpecific/intern_640x480.ini.cur.md5"

#
# Working copy (used by applications)
#
CALDEF_DIR_TMP="/var/tmp/cal/"
CALDEF_FILE_TMP_INTERN_INI="/var/tmp/cal/intern_640x480.ini"
CALDEF_FILE_TMP_RECTIFIED_XML="/var/tmp/cal/intern_relative_calib_values.xml"
CALDEF_FILE_TMP_LUT="/var/tmp/cal/vgalut"
CALDEF_FILE_TMP_MD5="/var/tmp/cal/md5sums.txt"

#
# Focal factor
#
CALDEF_FOCAL_FACTOR_08="0.8"
CALDEF_FOCAL_FACTOR_ZOOM="1.0"

#
# Rectified XML parameter file ID
#
CALDEF_PFT_RECTIFIED_XML_PARAM_ID=1

