#!/bin/sh

source  /etc/init.d/rc1.d/_HelperFunctions/XmlParameter

SERVICE=/sbin/VideoStreamingStarter
OPTS=""

# start stop the daemon
start-stop-daemon -q -K --signal 15 --exec ${SERVICE} -- ${OPTS}


/sbin/liccheck -f VideoRecording
LICENSE_CHECKRESULT=$?

if [ 0 -eq ${LICENSE_CHECKRESULT} ] ; then
    # gstreamer needs those env variables to work correctly
    export GST_PLUGIN_SYSTEM_PATH_1_0=/lib/gstreamer-1.0
    export GST_PLUGIN_PATH_1_0=/lib/gstreamer-1.0
    start-stop-daemon -S --exec ${SERVICE} -- ${OPTS}
fi
